---
date: 2020-08-13T23:30:09.000+00:00
title: Une Histoire de Portes et de Fenêtres
author: Sally Émerzian
hero_image: "anastase-maragos-kqkzdnujczq-unsplash.jpg"

---
Lorsque nous étions petits Marc et moi, en Arabie, une de ces fins d’années scolaires, maman nous avait dit que nous allions passer l’été au Liban, mais cette fois, dans la vieille maison de ses parents à Kahaleh. Je devais être en CM2 (7ème) et Marc en CE2 (9ème).

Pourquoi pas Jounieh? avions-nous demandé, c'est pourtant là bas que se trouvaient ma grand-mère et mes oncles. Qui y avait-il à Kahaleh?

Personne. Mais aussi tout le monde avant la guerre, nous expliquait-elle: “Vous ne voulez pas voir là où vivait maman?”

Pour nos yeux d'enfants habitués aux tons sépia du désert de Jeddah, la maison de Kahaleh se dressait comme un domaine enchanté entouré d’un merveilleux jardin secret. Des herbes folles poussaient ici et là, partout entre les marches, à travers les fentes des volets… c’était un royaume de vignes et de vieux rosiers qui pensaient que jamais personne ne reviendrait.

![](julia-joppien-w-7h8oxrawc-unsplash.jpg)

Au rez-de-chaussée, il y avait le vieil atelier de menuiserie de mon grand-père Georges. “C’est Geddo lui-même qui a fabriqué toutes les portes, toutes les armoires, et tous les lits” nous racontait-elle.  
“Tiens, regardez là-bas, il a même fait un cerf-volant. Tu le veux, Marc?”  
“Il est à moi?” demandait-il en écartant les toiles d’araignée. “Est-ce que Geddo savait que je viendrais le prendre?”

Mais qui savait à l’époque? Lorsque mes grands-parents avaient fermé la porte une première fois, avec quelques affaires jetées vite-fait dans des sacs, c’était pour fuir pour quelques nuits à Bzoummar chez la soeur de mon grand-père. “Juste le temps que les choses se calment un peu”.

Geddo reviendra encore plusieurs fois réparer des trous dans les portes et les volets. Téta l’accompagnera parfois pour ranger quelques affaires supplémentaires durant des années de déplacement de sous le toit d’une soeur à l’autre. Et parfois, ils rentreront tous pour quelques semaines de paix, jusqu’à ce que les obus remplacent les balles et achèvent de détruire leur attachement aux murs qu’ils aimaient.

Même couverte de poussière, la maison me semblait neuve. Criblée de trous mais visiblement neuve, dans la mesure où on n’y avait habité que quelques années. Elle contenait encore dans ses placards et ses dressoirs, l’odeur de l’émotion de ses nouveaux habitants.

Nous suivions maman à travers le long couloir et je me sentais comme Boucle d’Or.  
“Ici c’était la chambre de Robert. Là c’est la chambre de Téta et Geddo, et celle-ci la blanche, c’était ma chambre.”

Elle nous décrivait son bonheur lorsque ses parents avaient achevé la construction. Elle avait finalement sa propre chambre! Avant cela, ils habitaient tous dans la même maison que son oncle et sa tante à Furn-el-Chebbek. Entre frères, soeurs, cousins et cousines, ça faisait 12 enfants sous le même toit. On ne s’ennuyait pas mais c’était quand même une foule!

Nous passions des jours entiers à essuyer la poussière, des années de poussière. Notre grand ménage ne passait pas inaperçu dans le village. Quelque fois, une vieille voisine frappait à la porte. “Wli hayde ente ka Liliane?? Ma 3reftik!!! Wayyn hal ghaybi?? Kifa Angèle? Allah yer7am bayyik, shou te3ib bhal bayt, khallina sektin…” _(“C’est bien toi Liliane?? Je ne t’ai presque pas reconnue!!! Ça fait si longtemps! Comment va Angèle? Mes condoléances pour ton père... Il a tellement travaillé pour cette maison... laissons tomber…”)._

![](annie-spratt-fcwmnaarumk-unsplash.jpg)

À mon grand bonheur de rat de bibliothèque, je découvrais sur des étagères, les livres laissés par mes oncles et mes tantes. Robert l’anglophile m’a ainsi accidentellement enseigné l’anglais. Sans comprendre grand chose, je rongeais les pages de “Montezuma’s Daughter”, plongée dans un vieux sofa en velours rose capitonné, au fond du salon vestige qui, même à son apogée, n’avait jamais accueilli grand monde.

Le soir au son des cigales, Marc, enfilant maladroitement un fil de métal dans la moustiquaire, tentait tant bien que mal de confectionner une antenne de fortune pour la grosse caisse de bois de la télévision. Rien n’arrivait à la hauteur de notre excitation lorsqu’on arrivait par hasard à entrevoir, entre les rayures noires et blanches, le visage de l’orpheline Mexicaine Maria Mercedes.

Pourquoi tous ces souvenirs maintenant, en plein milieu de la nuit à Kiev?

J’ai 38 ans. J’ai quitté Beyrouth il y a quelques jours. Quatre jours avant la grande explosion.

J’ai jeté vite-fait quelques affaires dans des sacs, et je suis partie chez mon frère à Kiev. Avant de partir, j’ai donné mes clés à ma tante Yolla. Elle les a ajoutées à un gros trousseau de clés et de promesses faites au fil des ans à tous ceux qui quittaient le pays: que oui bien sûr, “ma te3talo ham, ana w Joseph mendall ntell 3al Beit” _(“Ne vous en faites pas, Joseph et moi on passera souvent jeter un coup d’oeil à la maison”)._

C’est Joseph et elle bien-entendu qui ont réparé ma porte et redressé mes fenêtres, pendant que sous le choc, je contemplais le nombre de fois que ma tante et son mari se sont retrouvés en train de balayer le verre des fenêtres éclatées des maisons vides de ceux qu’ils aiment.

Mais au diable mon appartement à Beyrouth.

J’ai peur d’avoir des enfants si tard, et d’avoir un jour l’idée de les emmener voir la maison magnifique de mes parents à Baabda, une autre maison abandonnée toute neuve, et de les entendre me suivre avec leurs petits pas et de m’écouter dire: “cette salle de bain, c’est Téta qui l’avait conçue” et “cette balustrade, c’est Geddo qui l’avait fabriquée”, “celle-ci la chambre avec le lit à baldaquins, c’était ma chambre.”

![](une-histoire-de-portes-et-de-fenetres.jpg)