# I want to use Tickle, but I don't want to do anything technical

Unfortunately, we couldn't remove entirely all the technicalities. But we've managed to keep them fairly low.

There are 4 steps to writing articles in Tickle:

1. Write the articles in Markdown
2. Optionally, list the articles in a file
3. Optionally, preview the site locally before uploading
4. Upload everything on a server

We have a desktop app that takes care of steps 1, 2, and 3 (and maybe some day step 4!). It's comfy, made with love, and you can install it from https://git.poto.cafe/yagich/tickle-godot-frontend

But if you want to do the things manually, read on (You need to do step 4 manually either way).

## 1. Write A Few Articles

You will need some knowledge of Markdown. This is how we write the articles. It's really not hard! In fact, it looks very similar to how you already use characters in chat for emphasis. Check [a reference here](https://commonmark.org/help/). 

For example: create a document, call it "my-first-article.md" for example (`.md` stands for "markdown"). Write some text in it. Want an example of markdown? Press `?` on any Tickle page in any Tickle site to display the source.

## 2. Create the List of Files

This is optional, and is used to fill the side navigation. Without this step though, your site will be empty, so you need to write at least one page in it.

Once you have written a document, you then open a new file, call it "files.txt". At the top, write:

```
my-first-article.md 2022-03-03 My First Article
```

After saving the file, you're done! You can write more articles, and reference them in the same text file, one per line.

At this state, the site is "ready". You can upload it, but before that, you probably want to preview it.

## 3. Preview the site

You will need to run a server. The easier server to run is [our own](https://git.poto.cafe/yagich/ticle-godot-frontend), but if you want other options, [XAMPP](https://www.apachefriends.org/download.html) is a good one (but is not specialized for Tickle).

Once you have the server up and running, you can open a browser to the address the site opened. Usually, something like http://localhost:3000. The number is arbitrary and might be anything; it depends on the server.

Once you're satisfied, time to upload

## 4. Upload the site

TODO: write procedure